Bug 436516 - Inconsistent mount point icons
Inconsistent mount point icons
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-07 12:39 EST by Paul Sorensen
Modified: 2015-03-03 17:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 01:07:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul Sorensen 2008-03-07 12:39:07 EST
Description of problem:
When nautilus starts, mount point icons are added with random and inconsistent

Version-Release number of selected component (if applicable):

How reproducible:
Inconsistent in some cases. Consistent in others.

Steps to Reproduce:
1. Create a new ext2 partition, Don't set the volume label.
2. Boot as normal
3. Login as root
Actual results:
Duplicate icons for each partition without a volume label.
One icon is real the other is a phantom. Clicking Unmount will unmount the
partition, and one icon will disappear as expected. However, the phantom stays
and is more or less useless. This behavior appears to be consistent,

Expected results:
One icon for each partition.

Additional info:
1. The default behavior is to mount every device it can find on the machine,
This is IMHO is a very dangerous policy. I have some partitions, which are
backups and good management policy dictates not mounting those partitions during
backup time. Also mounting foreign fstypes like ntfs might be undesirable.

2. Adding noauto option to the fstab prevents auto-mounting at boot time, but
Nautilus appears to not honor this. Disabled autofs, just to be sure it wasn't
confusing things. It is not.

3. Un-checked the options to mount removable media at insertion and when hot
plugged. Some partitions are mounted and some are not. All partitions in
question are on SATA drives of the same type plugged into the motherboard. So it
treats one drive as removable and another as not.

4. If a partition does not have a volume label, then 2 identical mount point
icons appear on desktop. Setting a volume label makes this one go away. However,
the device in question here was a removable flash card, so its inconvenient to
create volume labels for each card I have.

5. If you relabel a partition, Nautilus remembers the previous icon name. It
shows the different name and volume labels if you view properties. However,
this can be confusing if you don't realize there are 2 names. Only way to alter
the icon name appears to be to delete the .nautilus directory and have it
re-learn the names. Unless it is planned to allow editing of the icon name,
separate icon name and volume name makes little sense.

6. A suggestion, When displaying the properties for a mount point icon, it might
be useful to also display the real mount point and device. Use of volume labels
is prone to confusion, because the user can change these. The /dev designation
is usually most positive way of identifying a partition. I have observed
Anaconda assign more than one / volume labels. While Nautilus correctly
identifies duplicate volume names by appending the "(2)", it might be difficult
to determine which is which.
7. Another annoyance, but I believe this is a autofs problem rather than
Nautilus. However, nautilus inherits part of the problem. When creating a new
partition, as soon as it is formatted, autofs detects it as a new partition.
Nautilus immediately pops up the new icon. This is of course before I can do the
e2label command to set the label. So now I have to log out, enter a linux
console, login and delete the .nautilus directory to get Nautilus to relearn the
volume name, Disabling autofs during partition creation eliminates this problem.

8. Also observed. Boot to run level 3. Delete .nautilus directory, Then startx.
Repeating this gives different results some times. I have not seen it be
consistently inconsistent, but may be related to all the other issues.
Comment 1 Bug Zapper 2008-11-26 05:03:56 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 2 Bug Zapper 2009-01-09 01:07:50 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.